API Reference

Context Sources

Context sources are the raw materials and artifacts which form the base of your knowledge architecture. These are reusable blocks of text content or files that can be referenced by any harness, skill, or plugin, and are also the source from which to derive and extract context knowledge. They are workspace-specific and act as a container for their specific versions.

Context sources can be expanded to include all of their versions.

Expands
versions Retrieves all versions of the context source.
Endpoints
   GET https://api.zatomic.ai/v1/context/sources
  POST https://api.zatomic.ai/v1/context/sources/file
  POST https://api.zatomic.ai/v1/context/sources/text
   GET https://api.zatomic.ai/v1/context/sources/{contextSourceId}
 PATCH https://api.zatomic.ai/v1/context/sources/{contextSourceId}
DELETE https://api.zatomic.ai/v1/context/sources/{contextSourceId}